Get all entity relationship metrics

get

/fscmRestApi/resources/11.13.18.05/hedEntityRelationshipMetrics

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds a specific entity relationship metric that matches the primary key criteria specified.
      Finder Variables
      • EntityRelationshipMetricId; integer; The unique identifier of an entity relationship metric.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • ConsumerCode; string; Alternate unique identifier of the consumer reference entity in the relationship.
    • ConsumerInstanceCount; integer; The count of object types associated with this consumer entity instance.
    • ConsumerName; string; The name of the referenced consumer entity. An entity is an object, such as an academic program or an application form. If an application form references an academic program, then it's the consumer and the academic program is the producer.
    • EntityRelationshipMetricId; integer; The unique identifier of an entity relationship metric.
    • ProducerCode; string; Alternate unique identifier of the producer reference entity in the relationship.
    • ProducerInstanceIdValue; integer; The unique identifier value of the referenced producer entity instance.
    • ProducerName; string; The name of the referenced producer entity. An entity is an object, such as an academic program or an application form. If an application form references an academic program, then it's the consumer and the academic program is the producer.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : hedEntityRelationshipMetrics
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : hedEntityRelationshipMetrics-item-response
Type: object
Show Source
  • Title: Consumer Code
    Read Only: true
    Maximum Length: 50
    Alternate unique identifier of the consumer reference entity in the relationship.
  • Title: Consumer Instance ID Value
    Read Only: true
    The count of object types associated with this consumer entity instance.
  • Title: Consumer Name
    Read Only: true
    Maximum Length: 50
    The name of the referenced consumer entity. An entity is an object, such as an academic program or an application form. If an application form references an academic program, then it's the consumer and the academic program is the producer.
  • Title: Entity Relationship ID
    Read Only: true
    The unique identifier of an entity relationship metric.
  • Links
  • Title: Producer Code
    Read Only: true
    Maximum Length: 50
    Alternate unique identifier of the producer reference entity in the relationship.
  • Title: Producer Instance ID Value
    Read Only: true
    The unique identifier value of the referenced producer entity instance.
  • Title: Producer Name
    Read Only: true
    Maximum Length: 50
    The name of the referenced producer entity. An entity is an object, such as an academic program or an application form. If an application form references an academic program, then it's the consumer and the academic program is the producer.
Back to Top